package com.sw.mes.itemclean.clean.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sw.mes.itemclean.clean.domain.MaterialPlanOrder;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by author on 2023-05-18
 */
@Repository
public interface MaterialPlanOrderMapper extends BaseMapper<MaterialPlanOrder> {

    List<MaterialPlanOrder> getList();

    MaterialPlanOrder getById(Integer id);

    int insert(MaterialPlanOrder materialPlanOrder);

    int delete(Integer id);

    int update(MaterialPlanOrder materialPlanOrder);

    int activeUpdate(MaterialPlanOrder materialPlanOrder);

    MaterialPlanOrder findByAufnr(String aufnr);

    List<MaterialPlanOrder> findByMatnr(String matnr);
}